/*******  Archivo principal_segmento.cpp ***********/

#include <iostream>
#include "segmento.h"
#include "punto.h"

using namespace std;


int main (void)
{

  ////////////////////////////////////////////////////////////////////////////////////////////////

  // Se declara un segmento con el constructor sin argumentos

  Segmento  segmento_1;

  // 
  cout << " Se muestra el valor asignado al segmento 1 usando la funcion miembro ver_Segmento " << endl;
  segmento_1.ver_Segmento();

  // Se Modifican los valores del segmento 1 con los datos de dos puntos
  cout << "\n Se modifican los puntos del segmento --> Punto inicial = (-1.0, -2.0) y Punto final = (3.0, 4.0)\n";
  Punto punto1(-1.0, -2.0), punto2(3.0,4.0);

  segmento_1.set_Segmento(punto1,punto2);

  cout << "\n Se muestra el valor actual del segmento 1 usando la funcion miembro ver_Segmento " << endl;
  segmento_1.ver_Segmento();


  //////////////////////////////////////////////////////////////////////////////////////////////// 

  cout << "\n ******************************************************************************************\n\n";

 // Se declara otro segmento con el constructor que tiene parametros
  cout << " Se declara el segmento 2 con el constructor que tiene parametros: punto inicial y punto final \n";
  cout << " Punto inicial = (-9.0, 0) y Punto final = (9.0, 0.0) \n";
  Punto punto3(-9.0, 0.0), punto4(9.0,0.0);

  Segmento segmento_2(punto3, punto4);

  cout << "\n Se muestra el valor asignado al segmento 1 usando la funcion miembro ver_Segmento " << endl;
  segmento_2.ver_Segmento();

  cout << "\n Longitud del segmento 2 -> " << segmento_2.longitud() << endl;


  cout << "\n Se comprueba si es nulo el segmento 2 \n";
  if (segmento_2.nulo() == true)
       cout << " El segmento 2 es nulo \n";
  else
      cout << " El segmento 2 no es nulo \n";


  ////////////////////////////////////////////////////////////////////////////////////////////////

  cout << "Se asigna el color 9 al segmento 2 \n";
  segmento_2.set_Color(9);

  
  cout << "Se muestra el color del segmento 2: " << segmento_2.get_Color() << endl << endl;

 // Salida normal del programa
   return 0;
}


